> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get catalog job

> Get catalog job



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /catalog/jobs/{job_id}
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /catalog/jobs/{job_id}:
    get:
      tags:
        - Catalog
      summary: Get catalog job
      description: Get catalog job
      operationId: get-catalog-job
      parameters:
        - name: job_id
          in: path
          description: Job ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogJobDetail'
      security:
        - Authorization: []
components:
  schemas:
    CatalogJobDetail:
      title: CatalogJobDetail
      allOf:
        - $ref: '#/components/schemas/CatalogJob'
        - type: object
          properties:
            details:
              type: array
              items:
                $ref: '#/components/schemas/CatalogJobDetailItem'
    CatalogJob:
      title: CatalogJob
      type: object
      required:
        - job_id
        - kind
        - status
        - input_data
        - message
        - marketplace_id
        - created_at
        - modified_at
        - completed_at
      properties:
        job_id:
          type: string
        kind:
          type: string
          enum:
            - marketplace-sync
        status:
          $ref: '#/components/schemas/CatalogJobStatus'
        input_data:
          type: object
        message:
          type:
            - string
            - 'null'
        marketplace_id:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
        completed_at:
          type: string
          format: date-time
    CatalogJobDetailItem:
      title: CatalogJobDetailItem
      type: object
      properties:
        status:
          enum:
            - success
            - failed
        product_id:
          type:
            - string
            - 'null'
        product_name:
          type:
            - string
            - 'null'
        variant_id:
          type:
            - string
            - 'null'
        variant_name:
          type:
            - string
            - 'null'
        error_message:
          type:
            - string
            - 'null'
        output_error_file:
          type:
            - object
            - 'null'
    CatalogJobStatus:
      enum:
        - pending
        - running
        - success
        - failed
        - partial
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````